%define libxfontcache %mklibname xfontcache 1
Name: libxfontcache
Summary:  The Xfontcache Library
Version: 1.0.4
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfontcache-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The Xfontcache Library

#-----------------------------------------------------------

%package -n %{libxfontcache}
Summary:  The Xfontcache Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxfontcache}
The Xfontcache Library

#-----------------------------------------------------------

%package -n %{libxfontcache}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxfontcache} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxfontcache-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxfontcache}-devel
Development files for %{name}

%files -n %{libxfontcache}-devel
%defattr(-,root,root)
%{_libdir}/libXfontcache.so
%{_libdir}/libXfontcache.la
%{_libdir}/pkgconfig/xfontcache.pc
%{_mandir}/man3/FontCache*
%{_mandir}/man3/Xfontcache*

#-----------------------------------------------------------

%package -n %{libxfontcache}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxfontcache}-devel = %{version}
Provides: libxfontcache-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxfontcache}-static-devel
Static development files for %{name}

%files -n %{libxfontcache}-static-devel
%defattr(-,root,root)
%{_libdir}/libXfontcache.a

#-----------------------------------------------------------

%prep
%setup -q -n libXfontcache-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files -n %{libxfontcache}
%defattr(-,root,root)
%{_libdir}/libXfontcache.so.1
%{_libdir}/libXfontcache.so.1.0.0


%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-3mdv2009.0
+ Revision: 223074
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.4-2mdv2008.1
+ Revision: 153306
- Update BuildRequires and rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Feb 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-1mdv2007.0
+ Revision: 121456
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

